Subject: FW: Internal WG Review: Active Queue Management and Packet Scheduling (aqm)

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 20 Aug 2013 17:55:14 +0100

Hi,

There was a brief presentation on AQM at the Routing Area meeting in Berlin (see the slides).

This idea definitely impinges on people who make routers!

A working group is being proposed. Please review the draft charter and comment to me or the IESG with any issues.
Note the deadline is just one week!

Cheers,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of IESG
> Secretary
> Sent: 20 August 2013 17:33
> To: [email-masked]; [email-masked]
> Subject: Internal WG Review: Active Queue Management and Packet Scheduling
> (aqm)
> 
> A new IETF working group is being considered in the Transport Area.  The
> draft charter for this working group is provided below for your review
> and comment.
> 
> Review time is one week.
> 
> The IETF Secretariat
> 
> Active Queue Management and Packet Scheduling (aqm)
> --------------------------------------------------
> Current Status: Proposed Working Group
> 
> Chairs: 	TBD
> Area Director: 	Martin Stiemerling <[email-masked]>
> 
> Mailing List
>  Address:	[email-masked]
>  To Subscribe: 	https://www.ietf.org/mailman/listinfo/aqm
>  Archive: http://www.ietf.org/mail-archive/web/aqm/current/maillist.html
> 
> Charter:
> 
> Internet routers, lower-layer switches, end-host operating
>   systems, device drivers, and many types of additional
>   middleboxes include memory buffers in which they implement
>   queues to hold packets that require processing or otherwise
>   need to wait for forwarding to the next hop.
> 
>   The queues are intended to absorb bursts of traffic that may
>   naturally occur, and avoid unneccessary losses.  However, queues
>   also cause latency and jitter in the eventual arrival times of
>   packets.  This can create issues and complications for interactive
>   applications.
> 
>   Extremely large unmanaged buffers have been noticed in some
>   software and equipment.  When these buffers fill, interactive
>   applications and other traffic can be severely impacted or
>   completely broken, due to high and potentially oscillating delays.
> 
>   The Active Queue Management and Packet Scheduling working group
>   (AQM) works on algorithms for managing queues in order to:
> 
>   (1) minimize standing queues; helping to reduce delay for
>   interactive applications
> 
>   (2) help flow sources control their sending rates without
>   unnecessary losses, e.g. through ECN
> 
>   (3) consider the merits of various techniques to protect flows
>   from negative impacts of other more aggressive or misbehaving
>   flows
> 
>   (4) help avoid global synchronization of flows sharing a
>   bottleneck
> 
>   The AQM working group will publish Informational and Best Current
>   Practices documents that cover the design, use, and configuration
>   of algorithms for managing queues in Internet devices and software.
>   The scope includes both how to best configure existing equipment
>   and software, as well as recommendations on designing new equipment
>   and software.
> 
>   The AQM working group will also publish algorithm specifications
>   that are found to be broadly applicable and beneficial.  Evaluating
>   these algorithms shall be done in coordination with the Internet
>   Congestion Control Research Group (ICCRG) in order to select and
>   assess the relevant criteria, scenarios, and metrics.
> 
>   The working group will also explore the merits of whether to
>   isolate flows, and mechanisms for performing this function.  Note
>   that isolation and potentially policing of flows implies some policy
>   beyond what is required to simply minimize queues.  This topic
>   requires significant attention in the working group.
> 
>   AQM algorithms do not have to be implemented universally in order
>   to be effective.  Specifications will aid in producing proper
>   implementations that avoid potential ambiguities and corner cases.
>   "Interoperability" of algorithms and implementations of them is
>   not the reason for creating these specifications; correctness is
>   the primary motivation.
> 
>   The working group will not make changes to ECN, DiffServ, or other
>   IETF protocols, though existing ECN, DiffServ, and other mechanisms
>   may be used within the algorithms proposed.  As their implementation
>   is likely to be entwined with AQM algorithms, there is expected to be
>   close coordination between both TSVWG and AQM groups.
> 
>   Many AQM algorithms have been proposed in academic literature, but
>   a smaller number are widely implemented and deployed.  The goal of the
>   working group is to produce recommendations that will actually be used,
>   and algorithms that will actually be implemented, deployed in equipment,
>   and enabled.  Towards these ends, the group actively encourages
>   participation from operators and implementers, and will coordinate with
>   the IETF OPS area and other relevant parts of the IETF and Internet
>   community.  Wider research and evaluation of AQM mechanisms shall be
>   coordinated with the IRTF/ICCRG, and significant participation in this
>   WG from the academic and research community is highly desirable, when it
>   is directly relevant to implementation and deployment.
> 
>   Combined Queue Management / Packet Scheduling algorithms are in-scope,
>   provided their benefit have been evaluated against the established
>   requirements for an AQM algorithm. It is expected that some classes of
>   algorithms will focus on software implementations, while others on
>   existing or new hardware deployments, and algorithms may be specific
>   to distinct scenarios.
> 
> Proposed Milestones:
> 
> Jan 2014  Submit AQM recommendations to IESG for publication as BCP
>           obsoleting RFC 2309
> Jul 2014  Submit AQM evaluation guidelines to IESG for publication as
>           Informational
> Dec 2014  Submit first algorithm specification to IESG for publication
>           as Proposed Standard